## Bsoft program

# bmodel

### Usage: bmodel [options] in1.star [in2.star...]

Manipulates models.

### Actions for preparation:

-merge | Merge models in different files rather than concatenate.
-all | Reset selection to all models and components before other selections.

### Selections:

-select #232@14 | Select models and components.
-number 24,36 | Select models based on the number of components.
-closed order,3 | Select models based on valency (valency,) or polygon order (order,).
-fullerene | Select fullerene type models.
-fom 0.25 | Select: FOM cutoff.

### Actions:

-listmodels | List model information in table form.
-listcomponents | List component counts in table form.
-showmass | Show model masses.
-axes | Calculate principal axes.
-delete B | Delete a component type.
-setfom 0.8 | Set the FOM of selected components to a specific value.
-center | Center before all other operations.
-average 4 | Average sequential components and delete all but one in each set.
-histogram 0.2 | FOM histogram with the given step size.
-id model1 | Set model identifier.
-map image.pif,2 | Map and image number associated with model.
-path ../map | Path to map.
-views local | Calculate views for components. Modes: origin: current origin,
| com: center-of-mass origin, map: map origin, local: neigbor plane.
-invert | Invert views for selected components.
-rdf 1.2 | Calculate the radial distribution function with the given sampling (angstrom).
-curvature | Calculate the curvature associated with each component.
-settype VER | Set all component types.
-associate TRS,trs.pdb | Associate a component type with a file name.
-mass TRS,288.7 | Associate a component type with a mass.
-translate 12.3,95,-10.5 | Shift along a vector (x,y,z).
-rotate 0.5,0,5.8,45 | Rotate around a vector (x,y,z) by an angle.
-scale 1.5,0.8,1 | Scale around the origin.
-reflect 0.4,-.22,0.5 | Reflect through a mirror plane defined by the given normal.
-linklength 56.3 | Generate links with this maximum length.
-setasu D8 | Set components to within an asymmetric unit.
-apply C5 | Apply point group symmetry.
-symmetrize C5 | Symmetrize for a point group symmetry.

### Actions for finishing:

-reset | Reset selection to all components before other selections.

### Parameters:

-verbose 7 | Verbose output.
-componentradius 8.4 | Set display radius for all components.
-linkradius 5.1 | Set display radius for all links.
-origin 0,22.5,30 | Set the origin for rotation and scaling.
-separate | Each model is defined as a separate molecule group.
-reference 0,1.5,-0.2,35 | Reference symmetry axis and rotation angle (default 0,0,1,0).

### Input:

-parameters param.star | Input parameter file.

### Output:

-output file.star | Output model parameter file.
-split 3 | Split models into individual files:
| Argument: 1-6: number of digits inserted before extension
| Argument: "id": model ID's are used as file names.
-coordinates all.pdb | Output coordinate files.

Bsoft version 2.0.3-20180917 (64 bit)